#pragma once
#ifndef WHITE_DWARF_PARAMETERS_H
#define WHITE_DWARF_PARAMETERS_H

#include "white_dwarf_parameters.def"

#undef X
#define X(CODE) INTERNAL_WHITE_DWARF_PARAMETERS_##CODE,
enum { INTERNAL_WHITE_DWARF_PARAMETERS_STATES_LIST };
#undef X


#define X(CODE) WHITE_DWARF_ATMOSPHERE_##CODE,
enum { WHITE_DWARF_ATMOSPHERES_LIST };
#undef X

#define X(CODE) WHITE_DWARF_COOLING_##CODE,
enum { WHITE_DWARF_COOLING_MODELS_LIST };
#undef X

#define X(CODE) WHITE_DWARF_RADIUS_##CODE,
enum { WHITE_DWARF_RADIUS_MODELS_LIST };
#undef X



#endif // WHITE_DWARF_PARAMETERS_H
